# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /Users/ktietz/demo/src/aggregate/numba-feedstock/recipe, last modified Thu Aug 26 14:28:19 2021
# ------------------------------------------------

package:
  name: numba
  version: 0.54.0
source:
  sha256: 7de8900959076e99646a3b268f57a25dc4c6445b203b34e7276854a3ffeee0c9
  url: https://github.com/numba/numba/archive/0.54.0.tar.gz
build:
  entry_points:
    - numba = numba.misc.numba_entry:main
    - pycc = numba.pycc:main
  number: '0'
  script:
    - /Users/ktietz/demo/mc3/conda-bld/numba_1629980905358/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
      -m pip install . --no-deps --ignore-installed -vvv
  string: py38hc377ac9_0
requirements:
  build:
    - cctools_osx-arm64 949.0.1 h332cad3_24
    - clang 12.0.0 hca03da5_4
    - clang-12 12.0.0 default_he099f3d_4
    - clang_osx-arm64 12.0.0 hcb56dc5_3
    - clangxx 12.0.0 default_he099f3d_4
    - clangxx_osx-arm64 12.0.0 h39b79ac_3
    - compiler-rt 12.0.0 h4ccfd99_3
    - compiler-rt_osx-arm64 12.0.0 h4fb70ea_3
    - ld64_osx-arm64 530 h001ce53_24
    - ldid 2.1.2 h7dde238_2
    - libclang-cpp12 12.0.0 default_he099f3d_4
    - libcxx 12.0.0 hf6beb65_1
    - libllvm12 12.0.0 h12f7ac0_4
    - llvm-openmp 12.0.0 haf9daa7_1
    - llvm-tools 12.0.0 h12f7ac0_4
    - tapi 1100.0.11 ha21211d_0
    - zlib 1.2.11 hca03da5_3
  host:
    - blas 1.0 openblas
    - ca-certificates 2021.7.5 hca03da5_1
    - certifi 2021.5.30 py38hca03da5_1
    - libcxx 12.0.0 hf6beb65_1
    - libffi 3.3 hc377ac9_2
    - libgfortran 5.0.0 11_1_0_h6a59814_26
    - libgfortran5 11.1.0 h6a59814_26
    - libllvm11 11.1.0 h12f7ac0_4
    - libopenblas 0.3.17 hcab743c_1
    - llvm-openmp 12.0.0 haf9daa7_1
    - llvmlite 0.37.0 py38h98b2900_0
    - ncurses 6.2 hc4ed4cf_0
    - numpy 1.19.5 py38habd9f23_3
    - openssl 1.1.1j h1230e6a_0
    - pip 21.2.4 py38hca03da5_0
    - python 3.8.11 hbdb9e5c_5
    - readline 8.1 h1a28f6b_0
    - setuptools 52.0.0 py38hca03da5_1
    - sqlite 3.36.0 h1058600_0
    - tbb 2021.3.0 h525c30c_1
    - tbb-devel 2021.3.0 h525c30c_1
    - tk 8.6.10 hb8d0fd4_0
    - wheel 0.37.0 pyhd3eb1b0_1
    - xz 5.2.5 h1a28f6b_0
    - zlib 1.2.11 hca03da5_3
  run:
    - libcxx >=12.0.0
    - llvm-openmp >=12.0.0
    - llvmlite >=0.37.0,<0.38.0a0
    - numpy >=1.19.5,<2.0a0
    - python >=3.8,<3.9.0a0
    - setuptools
    - tbb >=2021.3.0
  run_constrained:
    - cudatoolkit >=9.2
    - scipy >=1.0
    - tbb  >=2021
test:
  imports:
    - numba
    - numba.core.annotations
    - numba.core.datamodel
    - numba.core.rewrites
    - numba.core.runtime
    - numba.core.typeconv
    - numba.core.typing
    - numba.core.unsafe
    - numba.cuda
    - numba.cuda.cudadrv
    - numba.cuda.kernels
    - numba.cuda.simulator
    - numba.cuda.simulator.cudadrv
    - numba.cuda.tests
    - numba.cuda.tests.cudadrv
    - numba.cuda.tests.cudadrv.data
    - numba.cuda.tests.cudapy
    - numba.cuda.tests.cudasim
    - numba.cuda.tests.nocuda
    - numba.experimental.jitclass
    - numba.np.ufunc
    - numba.pycc
    - numba.scripts
    - numba.testing
    - numba.tests
    - numba.tests.npyufunc
  requires:
    - cffi
    - clang_osx-arm64 12.*
    - clangxx_osx-arm64 12.*
    - ipython
    - jinja2
    - numpy <1.21
    - scipy
    - setuptools
    - tbb >=2019.5
about:
  description: 'Numba is an Open Source NumPy-aware optimizing compiler for Python

    sponsored by Anaconda, Inc. It uses the remarkable LLVM compiler

    infrastructure to compile Python syntax to machine code."

    '
  dev_url: https://github.com/numba/numba
  doc_url: http://numba.pydata.org/
  home: http://numba.pydata.org
  license: BSD-2-Clause
  license_family: BSD
  license_file: LICENSE
  summary: NumPy aware dynamic Python compiler using LLVM
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - henryiii
    - jakirkham
    - marcelotrevisani
    - mbargull
    - souravsingh
    - step21
